# Based on example config in /usr/share/X11/xorg.conf.d/50-synaptics-touchpad
Section "InputClass"
        Identifier "touchpad catchall"
        Driver "synaptics"
        MatchIsTouchpad "on"
        
        #   1000     2500   3500       5110
        #    |         |      |         |
        #    '         '      '         '
        #    +--------------------------+ --- 2000
        #    |  _______  ....  _______  |
        #    |                          | --- 2500
        #    |                          |
        #    |                          |
        #    |                     x    |
        #    |                          |
        #    |                          |
        #    |                          | --- 4300
        #    |                          |
        #    +--------------------------+ --- 4800
        #                          ,
        #                          |
        #                         4300
        
        # Disable tapping
        Option "TapButton1" "0"
        Option "TapButton2" "0"
        Option "TapButton3" "0"
        
        # Use Edge scrolling (not two finger scrolling)
        Option "VertEdgeScroll"  "1"
        Option "HorizEdgeScroll" "1"
        Option "VertTwoFingerScroll"  "0"
        Option "HorizTwoFingerScroll" "0"
        
        # Set scroll speed
        Option "VertScrollDelta"  "87"
        Option "HorizScrollDelta" "87"
        
        # Enable coasting
        Option "CoastingSpeed" "20"
        
        # The corner coasting option doesn't work so well
        Option "CornerCoasting" "0"
        
        # Make the touchpad sensitive
        # Let go only on no touch at all
        Option "FingerLow" "1"
        # Touch with minimal pressure
        Option "FingerHigh" "10"
        
        # Set up useful areas
        Option "TopEdge"    "2500"
        Option "BottomEdge" "4300"
        Option "LeftEdge"   "1000"
        Option "RightEdge"  "4300"
        
        # Disable all sensitivity in the button area at the top of the touchpad
        Option "AreaTopEdge" "2500"
        
        # This is a clickpad
        Option "ClickPad" "1"
        
        # Set up click areas at top of pad
        #                         Right Button  Middle Button
        #                         L    R T B    L    R    T B
        Option "SoftButtonAreas" "3500 0 0 2500 2500 3500 0 2500"
        
        # Disable different multi-touch clicks
        Option "ClickFinger1" "0"
        Option "ClickFinger2" "0"
        Option "ClickFinger3" "0"
        
        
        MatchDevicePath "/dev/input/event*"
EndSection

Section "InputClass"
        Identifier "touchpad ignore duplicates"
        MatchIsTouchpad "on"
        MatchOS "Linux"
        MatchDevicePath "/dev/input/mouse*"
        Option "Ignore" "on"
EndSection
